org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class ConjunctiveConstraintSplitter.ConstraintVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.ConjunctiveConstraintSplitter.ConstraintVisitor

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>
  Enclosing class:
    ConjunctiveConstraintSplitter

      protected static class ConjunctiveConstraintSplitter.ConstraintVisitor
      extends AbstractQueryModelVisitor<RuntimeException>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TupleExpr` | `tupleExpr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintVisitor(TupleExpr tupleExpr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `getConjunctiveConstraints(ValueExpr valueExpr, List<ValueExpr> conjunctiveConstraints)`
    `void` | `meet(Filter filter)`
    `void` | `meet(LeftJoin node)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tupleExpr

          protected final TupleExpr tupleExpr

  - ### Constructor Detail

    - #### ConstraintVisitor

          public ConstraintVisitor(TupleExpr tupleExpr)

  - ### Method Detail

    - #### meet

          public void meet(Filter filter)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet(LeftJoin node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### getConjunctiveConstraints

          protected void getConjunctiveConstraints(ValueExpr valueExpr,
                                                   List<ValueExpr> conjunctiveConstraints)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.